function ColorMap = AdvancedColorMap(num_rows, Color_1, Color_2, Color_3, intermediate_point)

num_rows_1 = num_rows - intermediate_point;
num_rows_2 = intermediate_point;

ColorMap_1 = nan*ones(num_rows_1,3);


for id_row = 1:num_rows_1
    lambda = (id_row-1)/(num_rows_1-1);
    ColorMap_1(id_row,:) = (Color_2*lambda) + (Color_1*(1-lambda));
end

ColorMap_2 = nan*ones(num_rows_2,3);

for id_row = 1:num_rows_2
    lambda = (id_row)/(num_rows_2);
    ColorMap_2(id_row,:) = (Color_3*lambda) + (Color_2*(1-lambda));
end

ColorMap = [ColorMap_1; ColorMap_2];


end